Bug 483441 - qt3 : Unowned directories
qt3 : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt3 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 06:52 EST by Michael Schwendt
Modified: 2009-02-04 07:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 07:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-02-01 06:52:45 EST
One or more directories are not included within this
package and/or its sub-packages:

=> qt3-3.3.8b-19.fc11.src.rpm
=> qt3-MySQL-3.3.8b-19.fc11.i386 (rawhide-development-i386)
/usr/lib/qt-3.3/plugins/sqldrivers

=> qt3-3.3.8b-19.fc11.src.rpm
=> qt3-ODBC-3.3.8b-19.fc11.i386 (rawhide-development-i386)
/usr/lib/qt-3.3/plugins/sqldrivers

=> qt3-3.3.8b-19.fc11.src.rpm
=> qt3-PostgreSQL-3.3.8b-19.fc11.i386 (rawhide-development-i386)
/usr/lib/qt-3.3/plugins/sqldrivers

=> qt3-3.3.8b-19.fc11.src.rpm
=> qt3-devel-3.3.8b-19.fc11.i386 (rawhide-development-i386)
/usr/share/doc/qt-devel-3.3.8b

=> qt3-3.3.8b-19.fc11.src.rpm
=> qt3-sqlite-3.3.8b-19.fc11.i386 (rawhide-development-i386)
/usr/lib/qt-3.3/plugins/sqldrivers

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^qt3
Comment 1 Rex Dieter 2009-02-02 08:13:55 EST
fixed.
Comment 2 Michael Schwendt 2009-02-04 04:23:58 EST
$ cvs diff qt3.spec
Index: qt3.spec
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/devel/qt3.spec,v
retrieving revision 1.11
diff -u -r1.11 qt3.spec
--- qt3.spec    2 Feb 2009 13:13:54 -0000       1.11
+++ qt3.spec    4 Feb 2009 09:22:56 -0000
@@ -607,6 +607,7 @@
 %{_datadir}/applications/*assistant*.desktop
 %{_datadir}/pixmaps/linguist3.png
 %{_datadir}/pixmaps/assistant3.png
+%dir %{qt_docdir}
 %doc %{qt_docdir}/html
 
 %files devel-docs
Comment 3 Rex Dieter 2009-02-04 07:40:42 EST
rats, missed one. thanks.

Note You need to log in before you can comment on or make changes to this bug.